Name:           dropwatch
Version:        1.5.3
Release:        1
Summary:        Kernel dropped packet monitoring utility

License:        GPLv2+
URL:            https://linux.die.net/man/1/dropwatch
Source0:        https://github.com/nhorman/dropwatch/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  autoconf automake binutils-devel kernel-headers
BuildRequires:  libnl3-devel libtool pkgconfig readline-devel libpcap-devel
Requires:       libnl3 readline

%description
Dropwatch is started in an effort to improve the ability for developers
and system administrator to diagnose problems in the Linux Networking
stack, specifically in our ability to diagnose where packets are getting
dropped.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
./autogen.sh
%configure
%make_build

%install
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -m0755 src/dropwatch %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
install -m0644 doc/dropwatch.1 %{buildroot}%{_mandir}/man1

%files
%license COPYING
%{_bindir}/dropwatch
%{_bindir}/dwdump

%files help
%doc README.md
%{_mandir}/man1/dropwatch.1.gz

%changelog
* Sat Jan 30 2021 xihaochen <xihaochen@huawei.com> - 1.5.3-1
- Type:requirements
- Id:NA
- SUG:NA
- DESC:update dropwatch to 1.5.3

* Thu Sep 10 2020 lunankun <lunankun@huawei.com> - 1.5-8
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:fix source0 url

* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.5-7
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change copying file to license

* Fri Aug 16 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.5-6
- Package Init

